<?php
namespace Modules\Panier\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class GeneralPanier
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function popupConfirmDelete(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxDelete(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxLoadPanier(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxClose(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxEdit(): bool
    {
        return true;
    }
}
